ldconfig(8)

NAME
ldconfig - determine run-time link bindings

SYNOPSIS
ldconfig [-DvnNX] [-f conf] [-C cache] [-r root] directory ...
ldconfig -l [-Dv] library ...
ldconfig -p

DESCRIPTION
ldconfig creates the necessary links and cache (for use by the run-time linker, ld.so) to the most recent shared libraries found in the directories specified on the command line, in the file /etc/ld.so.conf, and in the trusted directories (/usr/lib and /lib). ldconfig checks the header and file names of the libraries it encounters when determining which versions should have their links updated. ldconfig ignores symbolic links when scanning for libraries.

ldconfig should normally be run by the super-user as it may require write permission on some root owned directories and files. It is normally run automatically at bootup, from /etc/rc, or manually whenever new DLL's are installed.

OPTIONS

-D  Debug mode. Implies -N and -X.

-v  Verbose mode. Print current version number, the name of each directory as it is scanned and any links that are created.

-n  Only process directories specified on the command line. Don't process the trusted directories (/usr/lib and /lib) nor those specified in /etc/ld.so.conf. Implies -N.

-N  Don't rebuild the cache. Unless -X is also specified, links are still updated.

-X  Don't update links. Unless -N is also specified, the cache is still rebuilt.

-f conf
    Use conf instead of /etc/ld.so.conf.

-C cache
    Use cache instead of /etc/ld.so.cache.

-r root
    Change to and use root as the root directory.

-l  Library mode. Manually link individual libraries. Intended for use by experts only.

-p  Print the lists of directories and candidate libraries stored in the current cache.

EXAMPLES
In the bootup file /etc/rc having the line
    /sbin/ldconfig -v
will set up the correct links for the shared binaries and rebuild the cache.

On the command line
    # /sbin/ldconfig -n /lib
as root after the installation of a new DLL, will properly update the shared library symbolic links in /lib.

FILES
/lib/ld.so
    execution time linker/loader
/etc/ld.so.conf
    File containing a list of colon, space, tab, newline, or comma spearated directories in which to search for libraries.
/etc/ld.so.cache
    File containing an ordered list of libraries found in the directories specified in /etc/ld.so.conf.
lib*.so.version
    shared libraries

SEE ALSO
ldd(1), ld.so(8), ld.so.info.

BUGS

ldconfig's functionality, in conjunction with ld.so, is only available for executables compiled using libc version 4.4.3 or greater.

ldconfig, being a user process, must be run manually and has no means of dynamically determining and relinking shared libraries for use by ld.so when a new DLL is installed.

AUTHORS
David Engel and Mitch D'Souza.